PS_RECT(3)

NAME
PS_rect — Draws a rectangle

SYNOPSIS

#include <pslib.h>

void PS_rect(PSDoc *psdoc, float x, float y, float width, float height)

DESCRIPTION

Draws a rectangle with its lower left corner at (x, y). The rectangle starts and ends in its lower left corner. If this function is called outside a path it will start a new path. If it is called within a path it will add the rectangle as a subpath. If the last drawing operation does not end in the lower left corner then there will be a gab in the path.

SEE ALSO

PS_cirle(3), PS_arc(3), PS_lineto(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.